<div class="lang-switch">
  <button class="btn" i18n="langSwitch|Switch to English@@SwitchLangEn" (click)="switchLang('en')">English</button>
  <button class="btn" i18n="langSwitch|Switch to French@@SwitchLangFr" (click)="switchLang('fr')">Français</button>
</div>

<div class="container">
  <div class="date">
    <p>{{today | date}}</p>
  </div>
  <h1>{{sayHello}}</h1>
  <p i18n="welcome text">Welcome to my {{title}} page.</p>
  <button class="btn" (click)="onSub()" i18n="subscribe text">Subscribe</button>
  <span i18n>{{subs}} {subs, plural, =0 {Subscriber} =1 {Subscriber} other {Subscribers}}</span>
</div>